import java.awt.*;
import java.awt.event.ItemListener;
import java.awt.event.ItemEvent;
class Main extends Frame implements ItemListener {
    CheckboxMenuItem mi = new CheckboxMenuItem("Save All Files On Exit");
    Checkbox cb = new Checkbox("Save All Files On Exit");

    Main() {
        super("setState Example");
        MenuBar mb = new MenuBar();
        Menu m = new Menu("File");

        m.add(mi);
        m.add("Exit");
        mb.add(m);
        setMenuBar(mb);

        // Add the checkbox
        add(cb, BorderLayout.SOUTH);

        // Set listeners for checkbox and checkbox menu item
        cb.addItemListener(this);
        mi.addItemListener(this);

        pack();
        show();
    }

    public void itemStateChanged(ItemEvent evt) {
        if (evt.getSource() == mi) {
            cb.setState(mi.getState());
        } else {
            mi.setState(cb.getState());
        }
        // saveAllFiles();
    }

    static public void main(String[] args) {
        new Main();
    }
}
