import java.awt.*;
class Main {
    static public void main(String[] args) {
        Frame f = new Frame("getFontMetrics Example");
        f.add(new MainCanvas(), "Center");
        f.setSize(200, 100);
        f.show();
    }
}
class MainCanvas extends Canvas {
    public void paint(Graphics g) {
        int w = getSize().width;
        int h = getSize().height;
        int pointSize = 8;
        Font f = new Font("Helvetica", Font.BOLD, pointSize);
        FontMetrics fm = g.getFontMetrics(f);
        String str = "Java";

        g.clearRect(0, 0, getSize().width, getSize().height);
        
        while (fm.stringWidth(str) < w && fm.getHeight() < h) {
            pointSize *= 2;
            f = new Font("Helvetica", Font.BOLD, pointSize);
            fm = g.getFontMetrics(f);
        }
        do {
            pointSize -= pointSize/10;
            f = new Font("Helvetica", Font.BOLD, pointSize);
            fm = g.getFontMetrics(f);
        } while (pointSize/10 > 0
            && (fm.stringWidth(str) > w || fm.getHeight() > h));
        g.setFont(f);
        g.drawString(str, (w-fm.stringWidth(str))/2, 
            (h-fm.getHeight())/2+fm.getAscent());
    }
}
