import java.awt.*;
import java.awt.event.*;

class Main extends Frame implements ActionListener {
    Menu menu = new Menu("Change Font");

    Main() {
        super("setFont Example");

        menu.add(new MenuItem("Monospaced"));
        menu.add(new MenuItem("Serif"));
        menu.add(new MenuItem("SansSerif"));

        menu.addActionListener(this);

        MenuBar mb = new MenuBar();
        mb.add(menu);
        setMenuBar(mb);
        setSize(200, 200);
        show();
    }

    public void actionPerformed(ActionEvent evt) {
        System.out.println(evt);

        String arg = evt.getActionCommand();
        Font f = null;

        f = new Font(arg, Font.PLAIN, 12);
        if (f != null) {
            for (int i = 0; i <menu.getItemCount(); i++) {
                MenuItem src = menu.getItem(i);
                System.out.println("Changing font from: " + src.getFont());
                src.setFont(f);
            }
        }
    }

    public static void main(String[] args) {
        new Main();
    }
}

