import java.awt.*;
import java.awt.event.*;

class Main extends Frame 
    implements ActionListener {
    Main() {
        super("setEnabled Example");
        MenuBar mb = new MenuBar();
        Menu m = new Menu("File");

        m.add("New");
        m.add("Open...");
        mb.add(m);
        m = new Menu("Edit");
        m.add("Cut");
        m.add("Paste");
        mb.add(m);

        // Add the two enable/disable buttons.
        Button b;
        add(b = new Button("Enable"), BorderLayout.WEST);
        b.addActionListener(this);
        add(b = new Button("Disable"), BorderLayout.EAST);
        b.addActionListener(this);

        // Set the menu bar on the frame.
        setMenuBar(mb);
        setSize(100, 100);
        show();
    }

    // Action handler for buttons
    public void actionPerformed(ActionEvent evt) {
        String what = evt.getActionCommand();
        boolean enable = "Enable".equals(what);

        if (enable || "Disable".equals(what)) {
            for (int i=0; i<getMenuBar().getMenuCount(); i++) {
                Menu m = getMenuBar().getMenu(i);

                for (int j=0; j<getMenuBar().getMenu(i).getItemCount(); j++) {
                    m.getItem(j).setEnabled(enable);
                }
            }
        }
    }

    static public void main(String[] args) {
        new Main();
    }
}
