import java.awt.*;
import java.awt.event.*;

public class Main extends Frame implements AdjustmentListener {
    Main() {
        super("Scrollbar Example");
        Scrollbar sb = new Scrollbar(Scrollbar.HORIZONTAL, 0, 50, 0, 100);

        sb.addAdjustmentListener(this);
        add(sb, BorderLayout.SOUTH);
        pack();
        show();
    }
    
    public void adjustmentValueChanged(AdjustmentEvent evt) {
        System.out.println(evt);
    }    

    static public void main(String[] args) {
        new Main();
    }
}