import java.awt.*;
import java.awt.event.*;

class FakeMenuBar extends Component {
    public void paint(Graphics g) {
        FontMetrics fm = g.getFontMetrics();
        int w = getSize().width;
        int h = getSize().height;

        // Paint menu background.
        g.setColor(Main.colors[SystemColor.MENU]);
        g.fillRect(0, 0, w, h);

        // Paint menu text.
        int x = (h-fm.getHeight())/2;
        g.setColor(Main.colors[SystemColor.MENU_TEXT]);
        g.drawString("Menu", x, (h-fm.getHeight())/2+fm.getAscent());

        x += fm.stringWidth("Menu   ");
        g.setColor(Main.colors[SystemColor.TEXT_INACTIVE_TEXT]);
        g.drawString("Inactive", x, (h-fm.getHeight())/2+fm.getAscent());
    }
}
