import java.awt.*;
import java.awt.event.*;

class Main extends Frame {
    TextArea ta = 
        new TextArea(null, 10, 40);
    Label caret = new Label("caret=0");

    Main() {
        super("getCaretPosition Example");

        add(ta, BorderLayout.CENTER);
        add(caret, BorderLayout.SOUTH);

        // Add listeners for text area
        ta.addKeyListener(new KeyEventHandler());
        ta.addMouseListener(new MouseEventHandler());

        pack();
        show();
    }

    class KeyEventHandler extends KeyAdapter {
        public void keyTyped(KeyEvent evt) {
            caret.setText("caret="+ta.getCaretPosition());
        }
    }
    class MouseEventHandler extends MouseAdapter {
        public void mouseClicked(MouseEvent evt) {
            caret.setText("caret="+ta.getCaretPosition());
        }
    }

    static public void main(String[] args) {
        new Main();
    }
}
