import java.awt.*;
import java.awt.event.*;

class Main extends Frame implements ActionListener {
    TextField tf = new TextField();
    TextArea ta = new TextArea();

    Main() {
        super("getSelectedText Example");
        Button b = new Button("Print Selections");

        add(b, BorderLayout.NORTH);
        add(ta, BorderLayout.CENTER);
        add(tf, BorderLayout.SOUTH);

        // Add listener for button
        b.addActionListener(this);

        pack();
        show();
    }

    // Action listener for button
    public void actionPerformed(ActionEvent evt) {
        System.out.println("------ text area -------");
        System.out.println(ta.getSelectedText());
        System.out.println("------ text field ------");
        System.out.println(tf.getSelectedText());
    }

    static public void main(String[] args) {
        new Main();
    }
}
