import java.awt.*;
import java.awt.event.*;

class Main extends Frame implements ActionListener {
    TextArea ta = new TextArea();

    Main() {
        super("selectAll Example");
        MenuBar mb = new MenuBar();
        Menu menu = new Menu("Edit");

        menu.add("Select All");

        mb.add(menu);
        setMenuBar(mb);
        add(ta, BorderLayout.CENTER);

        // Add listener for Edit menu
        menu.addActionListener(this);

        pack();
        show();
    }

    public void actionPerformed(ActionEvent evt) {
        if ("Select All".equals(evt.getActionCommand())) {
            ta.selectAll();
            ta.requestFocus();
        }
    }

    static public void main(String[] args) {
        new Main();
    }
}
