import java.awt.*;
import java.io.*;
import java.util.*;

public class Area implements Serializable {
    Rectangle bounds;
    String label;

    Area(Rectangle bounds, String label) {
        this.bounds = bounds;
        this.label = label;
    }
    
    // Utility function for converting an array to a vector
    static Vector toVector(Area[] areas) {
        Vector v = new Vector();

        for (int i=0; i<areas.length; i++) {
            v.addElement(areas[i]);
        }
        return v;
    }

    // Utility function for converting a vector to an array.
    static Area[] fromVector(Vector v) {
        Area[] result = new Area[v.size()];

        for (int i=0; i<v.size(); i++) {
            result[i] = (Area)v.elementAt(i);
        }
        return result;
    }

}