import java.beans.*;
import java.lang.reflect.*;

public class BeanBeanInfo extends SimpleBeanInfo {
    public MethodDescriptor[] getMethodDescriptors() {
        MethodDescriptor md[] = new MethodDescriptor[2];

        try {
            md[0] = new MethodDescriptor(getMethod(Bean.class, "forToolsOnly"));
            md[0].setHidden(true);

            ParameterDescriptor[] pd = new ParameterDescriptor[1];
            pd[0] = new ParameterDescriptor();
            pd[0].setShortDescription("Never ever set to 3412l493839!!!");
            pd[0].setName("dangerousParameter");
            pd[0].setExpert(true);

            md[1] = new MethodDescriptor(getMethod(Bean.class, 
                "useAtYourOwnRisk"), pd);
            md[1].setShortDescription(
                "ONLY use when Jupiter is aligned with Mars");
            md[1].setExpert(true);

            return md;
        } catch (IntrospectionException e) {
            e.printStackTrace();
        }
        return null;
    }

    Method getMethod(Class cls, String methodName) 
        throws IntrospectionException {
        Method methods[] = cls.getMethods();

        for (int i=0; i<methods.length; i++) {
            if (methods[i].getName().equals(methodName)) {
                return methods[i];
            }
        }
        throw new IntrospectionException("No method \"" + methodName);
    }
}
