import java.applet.*;
import java.awt.*;
import java.util.*;

public class Main extends Applet {
    public void paint(Graphics g) {
        FontMetrics fm = g.getFontMetrics();
        int y = fm.getAscent() + 20;

        for (Enumeration e=getAppletContext().getApplets(); 
                e.hasMoreElements(); ) {
            Applet a = (Applet)e.nextElement();
            if (a == null) {
                continue;
            } else if (a == this) {
                g.setColor(Color.red);
            } else {
                g.setColor(Color.black);
            }
            if (a.getParameter("name") != null) {
                g.drawString(a.getParameter("name"), 0, y);
            } else {
                g.drawString("no name", 0, y);
            }
            y += fm.getHeight();
        }
    }
}
