import java.awt.*;
import java.awt.event.*;

class Main extends Frame implements ItemListener {
    Main() {
        super("ItemEvent Example");
        MenuBar mb = new MenuBar();
        Menu m = new Menu("File");

        mb.add(m);
        for (int i=0; i<4; i++) {
            CheckboxMenuItem c = new CheckboxMenuItem("item "+i);

            // Listen for item events.
            c.addItemListener(this);
            m.add(c);
        }

        setMenuBar(mb);
        show();
    }

    public void itemStateChanged(ItemEvent e) {
        System.out.println("item selectable: "+e.getItemSelectable());
        System.out.println("item: "+e.getItem());
        System.out.print("state change: ");
        switch (e.getStateChange()) {
          case ItemEvent.SELECTED:
            System.out.println("SELECTED");
            break;
          case ItemEvent.DESELECTED:
            System.out.println("DESELECTED");
            break;
        }
    }
    
    public static void main(String args[]) {
        new Main();
    }
}
