import java.awt.*;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;

class Main extends Frame implements ActionListener {
    CardLayout cardLayout = new CardLayout();
    Panel cardCont = new Panel(cardLayout);
    Main() {
        super("CardLayout Example");

        cardCont.add(new Label("First", Label.CENTER), "First"); 
        cardCont.add(new Label("Second", Label.CENTER), "Second"); 
        cardCont.add(new Label("Third", Label.CENTER), "Third"); 
        cardCont.add(new Label("Show", Label.CENTER), "Show"); 
        cardCont.add(new Label("Last", Label.CENTER), "Last"); 
        add(cardCont, BorderLayout.CENTER); 

        // Create control buttons 
        Panel p = new Panel(new GridLayout(1, 0));
        Button button;
        p.add(button = new Button("First"));
        button.addActionListener(this);
        p.add(button = new Button("Next"));
        button.addActionListener(this);
        p.add(button = new Button("Prev"));
        button.addActionListener(this);
        p.add(button = new Button("Last"));
        button.addActionListener(this);
        p.add(button = new Button("Show"));
        button.addActionListener(this);

        // Add row of buttons to bottom
        add(p, BorderLayout.SOUTH);
        pack();
        show();
    }

    public void actionPerformed(ActionEvent evt) {
        String cmd = evt.getActionCommand();
        if ("First".equals(cmd)) {
            cardLayout.first(cardCont);
        } else if ("Prev".equals(cmd)) {
            cardLayout.previous(cardCont);
        } else if ("Next".equals(cmd)) {
            cardLayout.next(cardCont);
        } else if ("Last".equals(cmd)) {
            cardLayout.last(cardCont);
        } else if ("Show".equals(cmd)) {
            cardLayout.show(cardCont, cmd);
        }
    }

    public static void main(String args[]) {
        new Main();
    }
}
