import java.awt.*;
import java.awt.event.ItemListener;
import java.awt.event.ItemEvent;

class Main extends Frame implements ItemListener {
    Checkbox cb = new Checkbox("Checkbox");

    Main() {
        super("Checkbox Example");
        add(cb, BorderLayout.NORTH); 
        cb.addItemListener(this);
        pack();
        show();
    }

    public void itemStateChanged(ItemEvent evt) {
	Object obj = evt.getSource();
	if (obj instanceof Checkbox) {
	      System.out.println("checkbox: 	" + ((Checkbox)obj).getState());
	}
    }

    static public void main(String[] args) {
        new Main();
    }
}
