import java.awt.*;
import java.awt.event.ItemListener;
import java.awt.event.ItemEvent;

class Main extends Frame implements ItemListener {
    CheckboxMenuItem sound, popup;
    Main() {
        super("CheckboxMenuItem Example");
        MenuBar mb = new MenuBar();
        Menu m = new Menu("Options");

        m.add(sound = new CheckboxMenuItem("Play sound for new mail"));
        sound.addItemListener(this);
        m.add(popup = new CheckboxMenuItem("Pop dialog for new mail"));
        popup.addItemListener(this);
        mb.add(m);

        // Set the menu bar on the frame.
        setMenuBar(mb);
        setSize(100, 50);    
        show();
    }

    public void itemStateChanged(ItemEvent evt) {
        Object src = evt.getSource();
        if (src == sound) {
            // playSound();
            System.out.println("Play sound");
        } else if (src == popup) {
            // popDialog();
            System.out.println("Pop dialog");
        }
    }

    static public void main(String[] args) {
        new Main();
    }
}
