import java.awt.*;

class Main extends Frame {
    Main() {
        super("create Example");
        setSize(200, 200);
        show();
    }

    void paintFigure(Graphics g, int w, int h) {
        g.clipRect(5, 5, w-10, h-10);
        g.fillOval(0, 0, w, h);
    }
    public void paint(Graphics g) {
        Insets insets = this.getInsets();
        int x = insets.left, y = insets.top;
        int w = getSize().width-insets.left-insets.right;
        int h = getSize().height-insets.top-insets.bottom;

        Graphics g2 = g.create(x, y, w/3, h);
        g2.setColor(Color.red);
        paintFigure(g2, w/3, h);
        g2.dispose();

        g2 = g.create(x+w/3, y, w/3, h);
        g2.setColor(Color.green);
        paintFigure(g2, w/3, h);
        g2.dispose();

        // Safe to use original one.
        g.translate(x + w*2/3, y);
        g.setColor(Color.blue);
        paintFigure(g, w/3, h);
    }

    static public void main(String[] args) {
        new Main();
    }
}
