import java.awt.*;
import java.awt.event.*;

class Main extends Frame 
    implements ItemListener {
    String[] alignLabels = 
        {"LEFT", "CENTER", "RIGHT"};
    int[] alignValues = 
        {Label.LEFT, Label.CENTER, Label.RIGHT};
    Label l = new Label("CENTER", Label.CENTER);

    Main() {
        super("setAlignment Example");
        CheckboxGroup cg = new CheckboxGroup();
        Panel p = new Panel(new GridLayout(3, 0));

        for (int i=0; i<alignLabels.length; i++) {
            Checkbox cb = new Checkbox(alignLabels[i], cg, 
                l.getAlignment() == alignValues[i]);
            cb.addItemListener(this);
            p.add(cb);
        }
        add(p, BorderLayout.SOUTH);
        add(l, BorderLayout.CENTER);
 
        pack();
        show();
    }

    public void itemStateChanged(ItemEvent evt) {
        String target = (String)evt.getItem();
        for (int i=0; i<alignLabels.length; i++) {
            if (alignLabels[i].equals(target)) {
                l.setAlignment(alignValues[i]);
                l.setText(alignLabels[i]);
                return;
            }
        }
    }

    static public void main(String[] args) {
        new Main();
    }
}
