import java.awt.*;
import java.awt.event.*;

class Main extends Frame {
    TextField tf = new TextField();
    TextArea ta = new TextArea();
    Label status = new Label ("Editable");

    Main() {
        super("isEditable Example");
        add(status, BorderLayout.NORTH);
        add(ta, BorderLayout.CENTER);
        add(tf, BorderLayout.SOUTH);

        // Add listeners for textfield and textarea
        KeyEventHandler listener = new KeyEventHandler();
        ta.addKeyListener(listener);
        tf.addKeyListener(listener);

        pack();
        show();
    }

    class KeyEventHandler extends KeyAdapter {
        public void keyPressed(KeyEvent evt) {
            if (evt.isControlDown() && evt.getKeyCode() == KeyEvent.VK_T) {
                TextComponent tc = (TextComponent)evt.getSource();
                tc.setEditable(!tc.isEditable());
                if (tc.isEditable()) {
                    status.setText("Editable");
                } else {
                    status.setText("Not Editable");
                }
            }
        }
    }

    static public void main(String[] args) {
        new Main();
    }
}
