import java.awt.*;
import java.awt.event.*;

class Main extends Frame {
    TextField tf = new TextField();
    TextField tfEcho = new TextField();

    Main() {
        super("setEchoChar Example");
        Panel p = new Panel();

        p.setLayout(new BorderLayout());
        p.add(new Label("Echo Character:"), BorderLayout.WEST);
        p.add(tfEcho, BorderLayout.CENTER);

        // Add listener for echo char text field
        tfEcho.addKeyListener(new KeyEventHandler());

        add(p, BorderLayout.SOUTH);
        add(tf, BorderLayout.NORTH);

        pack();
        show();
    }

    class KeyEventHandler extends KeyAdapter {
        public void keyPressed(KeyEvent evt) {
            char key = evt.getKeyChar();
            if (key == tf.getEchoChar()) {    // clear the echo char
                key = 0;
                tfEcho.setText("");
            } else {
                tfEcho.setText(String.valueOf(key));
            }
            tf.setEchoChar(key);
            tf.requestFocus();
        }
    }

    static public void main(String[] args) {
        new Main();
    }
}
