import java.beans.*;

public class BeanBeanInfo extends SimpleBeanInfo {
    public BeanDescriptor getBeanDescriptor() {
        return new BeanDescriptor(Bean.class, MapCustomizer.class);
    }
    public java.awt.Image getIcon(int iconKind) {
        switch (iconKind) {
          case ICON_COLOR_16x16:
            return loadImage("world-color-16x16.gif");
          case ICON_COLOR_32x32:
            return loadImage("world-color-32x32.gif");
          case ICON_MONO_16x16:
            return loadImage("world-mono-16x16.gif");
          case ICON_MONO_32x32:
            return loadImage("world-mono-32x32.gif");
          default:
            return null;
        }
    }
}
