import java.beans.*;

public class BeanBeanInfo extends SimpleBeanInfo {
    public PropertyDescriptor[] getPropertyDescriptors() {
        PropertyDescriptor pd[] = new PropertyDescriptor[3];

        try {
            pd[0] = new PropertyDescriptor("date", Bean.class);
            pd[0].setPropertyEditorClass(DateEditor.class);
            pd[1] = new PropertyDescriptor("style", Bean.class);
            pd[1].setPropertyEditorClass(StyleEditor.class);
            pd[2] = new PropertyDescriptor("locale", Bean.class);
            pd[2].setPropertyEditorClass(LocaleEditor.class);
            return pd;
        } catch (Exception e) {
            e.printStackTrace();
            return null;
        }
    }
}
